package com.its.web.mapper.its.common;

import com.its.web.dto.common.CodeDto;
import com.its.web.dto.common.ConnStatisticsDto;
import com.its.web.dto.common.TbWwwOrgDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CommonMapper {
    List<TbWwwOrgDto> findAllOrganization();

    List<CodeDto> findDayList();

    int insertConnHs();

    List<ConnStatisticsDto> getConnStatistics(Map<String, String> paramMap);

    List<ConnStatisticsDto> getConnMonthStatistics(Map<String, String> paramMap);

    List<ConnStatisticsDto> getConnWeekStatistics(Map<String, String> paramMap);
}
